
package com.google.api.ads.adwords.jaxws.v201109_1.info;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlType;


/**
 * 
 *             Represents the API usage information.
 *           
 * 
 * <p>Java class for ApiUsageInfo complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="ApiUsageInfo">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="apiUsageRecords" type="{https://adwords.google.com/api/adwords/info/v201109_1}ApiUsageRecord" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;element name="cost" type="{http://www.w3.org/2001/XMLSchema}long" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "ApiUsageInfo", propOrder = {
    "apiUsageRecords",
    "cost"
})
public class ApiUsageInfo {

    protected List<ApiUsageRecord> apiUsageRecords;
    protected Long cost;

    /**
     * Gets the value of the apiUsageRecords property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the apiUsageRecords property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getApiUsageRecords().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link ApiUsageRecord }
     * 
     * 
     */
    public List<ApiUsageRecord> getApiUsageRecords() {
        if (apiUsageRecords == null) {
            apiUsageRecords = new ArrayList<ApiUsageRecord>();
        }
        return this.apiUsageRecords;
    }

    /**
     * Gets the value of the cost property.
     * 
     * @return
     *     possible object is
     *     {@link Long }
     *     
     */
    public Long getCost() {
        return cost;
    }

    /**
     * Sets the value of the cost property.
     * 
     * @param value
     *     allowed object is
     *     {@link Long }
     *     
     */
    public void setCost(Long value) {
        this.cost = value;
    }

}
