
package com.google.api.ads.adwords.jaxws.v201206.cm;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlType;


/**
 * 
 *             Adgroup level bids used in manual CPC bidding strategy.
 *             <span class="constraint AdxEnabled">This is disabled for AdX.</span>
 *           
 * 
 * <p>Java class for ManualCPCAdGroupBids complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="ManualCPCAdGroupBids">
 *   &lt;complexContent>
 *     &lt;extension base="{https://adwords.google.com/api/adwords/cm/v201206}AdGroupBids">
 *       &lt;sequence>
 *         &lt;element name="keywordMaxCpc" type="{https://adwords.google.com/api/adwords/cm/v201206}Bid" minOccurs="0"/>
 *         &lt;element name="keywordContentMaxCpc" type="{https://adwords.google.com/api/adwords/cm/v201206}Bid" minOccurs="0"/>
 *         &lt;element name="enhancedCpcEnabled" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "ManualCPCAdGroupBids", propOrder = {
    "keywordMaxCpc",
    "keywordContentMaxCpc",
    "enhancedCpcEnabled"
})
public class ManualCPCAdGroupBids
    extends AdGroupBids
{

    protected Bid keywordMaxCpc;
    protected Bid keywordContentMaxCpc;
    protected Boolean enhancedCpcEnabled;

    /**
     * Gets the value of the keywordMaxCpc property.
     * 
     * @return
     *     possible object is
     *     {@link Bid }
     *     
     */
    public Bid getKeywordMaxCpc() {
        return keywordMaxCpc;
    }

    /**
     * Sets the value of the keywordMaxCpc property.
     * 
     * @param value
     *     allowed object is
     *     {@link Bid }
     *     
     */
    public void setKeywordMaxCpc(Bid value) {
        this.keywordMaxCpc = value;
    }

    /**
     * Gets the value of the keywordContentMaxCpc property.
     * 
     * @return
     *     possible object is
     *     {@link Bid }
     *     
     */
    public Bid getKeywordContentMaxCpc() {
        return keywordContentMaxCpc;
    }

    /**
     * Sets the value of the keywordContentMaxCpc property.
     * 
     * @param value
     *     allowed object is
     *     {@link Bid }
     *     
     */
    public void setKeywordContentMaxCpc(Bid value) {
        this.keywordContentMaxCpc = value;
    }

    /**
     * Gets the value of the enhancedCpcEnabled property.
     * 
     * @return
     *     possible object is
     *     {@link Boolean }
     *     
     */
    public Boolean isEnhancedCpcEnabled() {
        return enhancedCpcEnabled;
    }

    /**
     * Sets the value of the enhancedCpcEnabled property.
     * 
     * @param value
     *     allowed object is
     *     {@link Boolean }
     *     
     */
    public void setEnhancedCpcEnabled(Boolean value) {
        this.enhancedCpcEnabled = value;
    }

}
