
package com.google.api.ads.adwords.jaxws.v201206.o;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for DeviceType.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * <p>
 * <pre>
 * &lt;simpleType name="DeviceType">
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string">
 *     &lt;enumeration value="MOBILE_WAP"/>
 *     &lt;enumeration value="MOBILE_WITH_FULL_BROWSER"/>
 *     &lt;enumeration value="DESKTOPS_AND_LAPTOPS"/>
 *   &lt;/restriction>
 * &lt;/simpleType>
 * </pre>
 * 
 */
@XmlType(name = "DeviceType")
@XmlEnum
public enum DeviceType {


    /**
     * 
     *                 Mobile WAP devices.
     *               
     * 
     */
    MOBILE_WAP,

    /**
     * 
     *                 Mobile devices with full internet browsers.
     *               
     * 
     */
    MOBILE_WITH_FULL_BROWSER,

    /**
     * 
     *                 Desktop and laptop computers.
     *               
     * 
     */
    DESKTOPS_AND_LAPTOPS;

    public String value() {
        return name();
    }

    public static DeviceType fromValue(String v) {
        return valueOf(v);
    }

}
