
package com.google.api.ads.adwords.jaxws.v201109.cm;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlSeeAlso;
import javax.xml.bind.annotation.XmlType;


/**
 * 
 *             Represents bids at the adgroup level, which could be of different subtypes based on
 *             campaign's bidding strategy.
 *           
 * 
 * <p>Java class for AdGroupBids complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="AdGroupBids">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="AdGroupBids.Type" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "AdGroupBids", propOrder = {
    "adGroupBidsType"
})
@XmlSeeAlso({
    PercentCPAAdGroupBids.class,
    ManualCPMAdGroupBids.class,
    ManualCPCAdGroupBids.class,
    BudgetOptimizerAdGroupBids.class,
    ConversionOptimizerAdGroupBids.class
})
public abstract class AdGroupBids {

    @XmlElement(name = "AdGroupBids.Type")
    protected String adGroupBidsType;

    /**
     * Gets the value of the adGroupBidsType property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getAdGroupBidsType() {
        return adGroupBidsType;
    }

    /**
     * Sets the value of the adGroupBidsType property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setAdGroupBidsType(String value) {
        this.adGroupBidsType = value;
    }

}
