
package com.google.api.ads.adwords.jaxws.v201109.mcm;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for CreateAccountError.Reason.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * <p>
 * <pre>
 * &lt;simpleType name="CreateAccountError.Reason">
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string">
 *     &lt;enumeration value="INVALID_TIMEZONE"/>
 *     &lt;enumeration value="INVALID_CURRENCY"/>
 *     &lt;enumeration value="INVALID_DESCRIPTIVE_NAME"/>
 *     &lt;enumeration value="UNKNOWN"/>
 *   &lt;/restriction>
 * &lt;/simpleType>
 * </pre>
 * 
 */
@XmlType(name = "CreateAccountError.Reason")
@XmlEnum
public enum CreateAccountErrorReason {

    INVALID_TIMEZONE,
    INVALID_CURRENCY,
    INVALID_DESCRIPTIVE_NAME,
    UNKNOWN;

    public String value() {
        return name();
    }

    public static CreateAccountErrorReason fromValue(String v) {
        return valueOf(v);
    }

}
