
package com.google.api.ads.adwords.jaxws.v201109.mcm;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * 
 *             Selector for querying the ServicedAccount graph.
 *           
 * 
 * <p>Java class for ServicedAccountSelector complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="ServicedAccountSelector">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="customerIds" type="{http://www.w3.org/2001/XMLSchema}long" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;element name="enablePaging" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/>
 *         &lt;element name="submanagersOnly" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "ServicedAccountSelector", propOrder = {
    "customerIds",
    "enablePaging",
    "submanagersOnly"
})
public class ServicedAccountSelector {

    @XmlElement(type = Long.class)
    protected List<Long> customerIds;
    protected Boolean enablePaging;
    protected Boolean submanagersOnly;

    /**
     * Gets the value of the customerIds property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the customerIds property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getCustomerIds().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link Long }
     * 
     * 
     */
    public List<Long> getCustomerIds() {
        if (customerIds == null) {
            customerIds = new ArrayList<Long>();
        }
        return this.customerIds;
    }

    /**
     * Gets the value of the enablePaging property.
     * 
     * @return
     *     possible object is
     *     {@link Boolean }
     *     
     */
    public Boolean isEnablePaging() {
        return enablePaging;
    }

    /**
     * Sets the value of the enablePaging property.
     * 
     * @param value
     *     allowed object is
     *     {@link Boolean }
     *     
     */
    public void setEnablePaging(Boolean value) {
        this.enablePaging = value;
    }

    /**
     * Gets the value of the submanagersOnly property.
     * 
     * @return
     *     possible object is
     *     {@link Boolean }
     *     
     */
    public Boolean isSubmanagersOnly() {
        return submanagersOnly;
    }

    /**
     * Sets the value of the submanagersOnly property.
     * 
     * @param value
     *     allowed object is
     *     {@link Boolean }
     *     
     */
    public void setSubmanagersOnly(Boolean value) {
        this.submanagersOnly = value;
    }

}
