
package com.google.api.ads.adwords.jaxws.v201109_1.cm;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlType;


/**
 * 
 *             AdGroupCriterion level bids used in budget optimizer bidding strategy.
 *           
 * 
 * <p>Java class for BudgetOptimizerAdGroupCriterionBids complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="BudgetOptimizerAdGroupCriterionBids">
 *   &lt;complexContent>
 *     &lt;extension base="{https://adwords.google.com/api/adwords/cm/v201109_1}AdGroupCriterionBids">
 *       &lt;sequence>
 *         &lt;element name="proxyBid" type="{https://adwords.google.com/api/adwords/cm/v201109_1}Bid" minOccurs="0"/>
 *         &lt;element name="enhancedCpcEnabled" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "BudgetOptimizerAdGroupCriterionBids", propOrder = {
    "proxyBid",
    "enhancedCpcEnabled"
})
public class BudgetOptimizerAdGroupCriterionBids
    extends AdGroupCriterionBids
{

    protected Bid proxyBid;
    protected Boolean enhancedCpcEnabled;

    /**
     * Gets the value of the proxyBid property.
     * 
     * @return
     *     possible object is
     *     {@link Bid }
     *     
     */
    public Bid getProxyBid() {
        return proxyBid;
    }

    /**
     * Sets the value of the proxyBid property.
     * 
     * @param value
     *     allowed object is
     *     {@link Bid }
     *     
     */
    public void setProxyBid(Bid value) {
        this.proxyBid = value;
    }

    /**
     * Gets the value of the enhancedCpcEnabled property.
     * 
     * @return
     *     possible object is
     *     {@link Boolean }
     *     
     */
    public Boolean isEnhancedCpcEnabled() {
        return enhancedCpcEnabled;
    }

    /**
     * Sets the value of the enhancedCpcEnabled property.
     * 
     * @param value
     *     allowed object is
     *     {@link Boolean }
     *     
     */
    public void setEnhancedCpcEnabled(Boolean value) {
        this.enhancedCpcEnabled = value;
    }

}
