
package com.google.api.ads.adwords.jaxws.v201109_1.cm;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlSeeAlso;
import javax.xml.bind.annotation.XmlType;


/**
 * 
 *             Abstract base type for interaction bids. Represents bids for interactions other than clicks
 *             on the ad url, such as phone calls.
 *             <span class="constraint Beta">This is a beta feature.</span>
 *           
 * 
 * <p>Java class for InteractionBid complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="InteractionBid">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="interactionBidAmount" type="{https://adwords.google.com/api/adwords/cm/v201109_1}Bid" minOccurs="0"/>
 *         &lt;element name="minimumBid" type="{https://adwords.google.com/api/adwords/cm/v201109_1}Bid" minOccurs="0"/>
 *         &lt;element name="bidStatus" type="{https://adwords.google.com/api/adwords/cm/v201109_1}InteractionBid.BidStatus" minOccurs="0"/>
 *         &lt;element name="InteractionBid.Type" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "InteractionBid", propOrder = {
    "interactionBidAmount",
    "minimumBid",
    "bidStatus",
    "interactionBidType"
})
@XmlSeeAlso({
    PhoneInteractionBid.class
})
public abstract class InteractionBid {

    protected Bid interactionBidAmount;
    protected Bid minimumBid;
    protected InteractionBidBidStatus bidStatus;
    @XmlElement(name = "InteractionBid.Type")
    protected String interactionBidType;

    /**
     * Gets the value of the interactionBidAmount property.
     * 
     * @return
     *     possible object is
     *     {@link Bid }
     *     
     */
    public Bid getInteractionBidAmount() {
        return interactionBidAmount;
    }

    /**
     * Sets the value of the interactionBidAmount property.
     * 
     * @param value
     *     allowed object is
     *     {@link Bid }
     *     
     */
    public void setInteractionBidAmount(Bid value) {
        this.interactionBidAmount = value;
    }

    /**
     * Gets the value of the minimumBid property.
     * 
     * @return
     *     possible object is
     *     {@link Bid }
     *     
     */
    public Bid getMinimumBid() {
        return minimumBid;
    }

    /**
     * Sets the value of the minimumBid property.
     * 
     * @param value
     *     allowed object is
     *     {@link Bid }
     *     
     */
    public void setMinimumBid(Bid value) {
        this.minimumBid = value;
    }

    /**
     * Gets the value of the bidStatus property.
     * 
     * @return
     *     possible object is
     *     {@link InteractionBidBidStatus }
     *     
     */
    public InteractionBidBidStatus getBidStatus() {
        return bidStatus;
    }

    /**
     * Sets the value of the bidStatus property.
     * 
     * @param value
     *     allowed object is
     *     {@link InteractionBidBidStatus }
     *     
     */
    public void setBidStatus(InteractionBidBidStatus value) {
        this.bidStatus = value;
    }

    /**
     * Gets the value of the interactionBidType property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getInteractionBidType() {
        return interactionBidType;
    }

    /**
     * Sets the value of the interactionBidType property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setInteractionBidType(String value) {
        this.interactionBidType = value;
    }

}
