
package com.google.api.ads.adwords.jaxws.v201109_1.o;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlType;


/**
 * 
 *             A {@link SearchParameter} for {@code PLACEMENT} {@link IdeaType}s used to
 *             filter the results by the {@link AdType}.
 *             <p>This element is supported by following {@link IdeaType}s: PLACEMENT.
 *             <p>This element is supported by following {@link RequestType}s: IDEAS.
 *           
 * 
 * <p>Java class for AdTypeSearchParameter complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="AdTypeSearchParameter">
 *   &lt;complexContent>
 *     &lt;extension base="{https://adwords.google.com/api/adwords/o/v201109_1}SearchParameter">
 *       &lt;sequence>
 *         &lt;element name="adTypes" type="{https://adwords.google.com/api/adwords/o/v201109_1}SiteConstants.AdType" maxOccurs="unbounded" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "AdTypeSearchParameter", propOrder = {
    "adTypes"
})
public class AdTypeSearchParameter
    extends SearchParameter
{

    protected List<SiteConstantsAdType> adTypes;

    /**
     * Gets the value of the adTypes property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the adTypes property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getAdTypes().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link SiteConstantsAdType }
     * 
     * 
     */
    public List<SiteConstantsAdType> getAdTypes() {
        if (adTypes == null) {
            adTypes = new ArrayList<SiteConstantsAdType>();
        }
        return this.adTypes;
    }

}
