
package com.google.api.ads.adwords.jaxws.v201206.ch;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;


/**
 * 
 *             Returns information about changed entities inside a customer's account.
 *             
 *             @param selector Specifies the filter for selecting changehistory events for a customer.
 *             @return A Customer->Campaign->AdGroup hierarchy containing information about the objects
 *             changed at each level.  All Campaigns that are requested in the selector will be returned,
 *             regardless of whether or not they have changed, but unchanged AdGroups will be ignored.
 *           
 * 
 * <p>Java class for get element declaration.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;element name="get">
 *   &lt;complexType>
 *     &lt;complexContent>
 *       &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *         &lt;sequence>
 *           &lt;element name="selector" type="{https://adwords.google.com/api/adwords/ch/v201206}CustomerSyncSelector" minOccurs="0"/>
 *         &lt;/sequence>
 *       &lt;/restriction>
 *     &lt;/complexContent>
 *   &lt;/complexType>
 * &lt;/element>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "", propOrder = {
    "selector"
})
@XmlRootElement(name = "get")
public class CustomerSyncServiceInterfaceget {

    protected CustomerSyncSelector selector;

    /**
     * Gets the value of the selector property.
     * 
     * @return
     *     possible object is
     *     {@link CustomerSyncSelector }
     *     
     */
    public CustomerSyncSelector getSelector() {
        return selector;
    }

    /**
     * Sets the value of the selector property.
     * 
     * @param value
     *     allowed object is
     *     {@link CustomerSyncSelector }
     *     
     */
    public void setSelector(CustomerSyncSelector value) {
        this.selector = value;
    }

}
