
package com.google.api.ads.adwords.jaxws.v201206.cm;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlType;


/**
 * 
 *             AdGroup level bids used in percent CPA bidding strategy.
 *             {@link PercentCPA} bidding strategy and bids are available
 *             only to some advertisers.
 *             <span class="constraint AdxEnabled">This is disabled for AdX.</span>
 *           
 * 
 * <p>Java class for PercentCPAAdGroupBids complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="PercentCPAAdGroupBids">
 *   &lt;complexContent>
 *     &lt;extension base="{https://adwords.google.com/api/adwords/cm/v201206}AdGroupBids">
 *       &lt;sequence>
 *         &lt;element name="percentCpa" type="{http://www.w3.org/2001/XMLSchema}int" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "PercentCPAAdGroupBids", propOrder = {
    "percentCpa"
})
public class PercentCPAAdGroupBids
    extends AdGroupBids
{

    protected Integer percentCpa;

    /**
     * Gets the value of the percentCpa property.
     * 
     * @return
     *     possible object is
     *     {@link Integer }
     *     
     */
    public Integer getPercentCpa() {
        return percentCpa;
    }

    /**
     * Sets the value of the percentCpa property.
     * 
     * @param value
     *     allowed object is
     *     {@link Integer }
     *     
     */
    public void setPercentCpa(Integer value) {
        this.percentCpa = value;
    }

}
